GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance Class Reference

## Public Member Functions
String | getLatitude ()
void | setLatitude (String value)
String | getLongitude ()
void | setLongitude (String value)
String | getDistance ()
void | setDistance (String value)

## Protected Attributes
String | latitude
String | longitude
String | distance

## Detailed Description

ParcelShopSearchDistance (search by radius)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Latitude" type="{http://fpcs.gls-group.eu/v1/ParcelShop}GeoCoordinate"/>
            <element name="Longitude" type="{http://fpcs.gls-group.eu/v1/ParcelShop}GeoCoordinate"/>
            <element name="Distance" type="{http://fpcs.gls-group.eu/v1/ParcelShop}Radius"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 41 of file ParcelShopSearchDistance.java.

## Member Function Documentation

## ◆ getDistance()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.getDistance | ( |  | ) |

Gets the value of the distance property.

Returns
  possible object is String

Definition at line 106 of file ParcelShopSearchDistance.java.

## ◆ getLatitude()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.getLatitude | ( |  | ) |

Gets the value of the latitude property.

Returns
  possible object is String

Definition at line 58 of file ParcelShopSearchDistance.java.

## ◆ getLongitude()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.getLongitude | ( |  | ) |

Gets the value of the longitude property.

Returns
  possible object is String

Definition at line 82 of file ParcelShopSearchDistance.java.

## ◆ setDistance()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.setDistance | ( | String | value | ) |

Sets the value of the distance property.

Parameters

  value | allowed object is String

Definition at line 118 of file ParcelShopSearchDistance.java.

## ◆ setLatitude()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.setLatitude | ( | String | value | ) |

Sets the value of the latitude property.

Parameters

  value | allowed object is String

Definition at line 70 of file ParcelShopSearchDistance.java.

## ◆ setLongitude()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.setLongitude | ( | String | value | ) |

Sets the value of the longitude property.

Parameters

  value | allowed object is String

Definition at line 94 of file ParcelShopSearchDistance.java.

## Member Data Documentation

## ◆ distance

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.distance
| protected

Definition at line 48 of file ParcelShopSearchDistance.java.

## ◆ latitude

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.latitude
| protected

Definition at line 44 of file ParcelShopSearchDistance.java.

## ◆ longitude

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance.longitude
| protected

Definition at line 46 of file ParcelShopSearchDistance.java.

The documentation for this class was generated from the following file:

- ParcelShopSearchDistance.java